
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2016-11-29
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>Generated Reports | org.eclipse.papyrus.designer.languages.java.jdt.project</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/docs.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/reflow-skin.css" rel="stylesheet" />


		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/lightbox.css" rel="stylesheet" />

		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/site.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/highlightjs/default.min.css"></link>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
	</head>

	<body class="page-project-reports project-orgeclipsepapyrusdesignerlanguagesjavajdtproject" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html">Papyrys <span class="color-highlight">Designer</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../index.html" title="Designer Languages JAVA">Designer Languages JAVA</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Documentation <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../../../developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="../../../pdf/developer-guide.pdf" title="Dev book pdf" target="_blank">Dev book pdf</a></li>
									<li ><a href="../../../user/index.html" title="User">User</a></li>
									<li ><a href="../../../pdf/user-guide.pdf" title="User book pdf" target="_blank">User book pdf</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Designer</span> project</h1></a>
					<p class="lead">from design models to implementation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="../../../" title="Designer">Designer</a></li>
				<li class="divider">/</li>
				<li><a href="../../" title="Designer Languages">Designer Languages</a></li>
				<li class="divider">/</li>
				<li><a href="../" title="Designer Languages JAVA">Designer Languages JAVA</a></li>
				<li class="divider">/</li>
				<li><a href="./" title="org.eclipse.papyrus.designer.languages.java.jdt.project">org.eclipse.papyrus.designer.languages.java.jdt.project</a></li>
				<li class="divider">/</li>
				<li>Generated Reports</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Generated_Reports" title="Generated Reports">Generated Reports</a></li>
						<li class="toplevel"><a href="#Overview" title="Overview">Overview</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Generated_Reports">Generated Reports</h2>
 </div> 
 <p>This document provides an overview of the various reports that are automatically generated by <a class="externalLink" href="http://maven.apache.org">Maven</a> . Each report is briefly described below.</p> 
 <div class="section"> 
  <h3 id="Overview">Overview</h3> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Document</th> 
     <th>Description</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td><a href="xref/index.html">Source Xref</a></td> 
     <td>HTML based, cross-reference version of Java source code.</td> 
    </tr> 
    <tr class="a"> 
     <td><a href="apidocs/index.html">JavaDocs</a></td> 
     <td>JavaDoc API documentation.</td> 
    </tr> 
    <tr class="b"> 
     <td><a href="surefire-report.html">Surefire Report</a></td> 
     <td>Report on the test results of the project.</td> 
    </tr> 
    <tr class="a"> 
     <td><a href="changelog.html">Change Log</a></td> 
     <td>Generated change log report from SCM.</td> 
    </tr> 
    <tr class="b"> 
     <td><a href="file-activity.html">File Activity</a></td> 
     <td>Generated file activity report from SCM.</td> 
    </tr> 
    <tr class="a"> 
     <td><a href="dev-activity.html">Developer Activity</a></td> 
     <td>Generated developer activity report from SCM.</td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Designer/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
						<li class="nav-header">References</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li class="nav-header">Parent</li>
						<li >
							<a href="../index.html" title="Designer Languages JAVA">Designer Languages JAVA</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="#" title="Project Reports">Project Reports <i class="icon-chevron-down"></i></a>
							<ul class="nav nav-list">
						<li >
							<a href="xref/index.html" title="Source Xref">Source Xref</a>
						</li>
						<li >
							<a href="apidocs/index.html" title="JavaDocs">JavaDocs</a>
						</li>
						<li >
							<a href="surefire-report.html" title="Surefire Report">Surefire Report</a>
						</li>
						<li >
							<a href="changelog.html" title="Change Log">Change Log</a>
						</li>
						<li >
							<a href="file-activity.html" title="File Activity">File Activity</a>
						</li>
						<li >
							<a href="dev-activity.html" title="Developer Activity">Developer Activity</a>
						</li>
							</ul>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Designer</span> project. Design your application as a component-based model then deploy it on heterogeneous platforms. Speed-up development through code generation of your application. Component interaction and communication code is generated automatically so you can concentrate on your business code.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 1.0.4-SNAPSHOT. </span><span class="publishDate">Last Published: 2016-11-29. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>

	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/bootstrap.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/lightbox.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-scroll.js"></script>
	
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-skin.js"></script>

	</body>
</html>
